<?php

namespace XenConcept\UserActivity\XF\Repository;

class Forum extends XFCP_Forum
{
    // ################ FORUM WATCHERS ################

    public function findForumWatchersByNodeId($nodeId)
    {
        $finder = $this->finder('XF:ForumWatch');

        $finder
            ->with('User')
            ->where('node_id', $nodeId)
            ->where('user_id', '!=', \XF::visitor()->user_id);

        $options = \XF::options();

        /**
         * if ($options->xc_user_activity_exclude_user_banned)
        {
        $finder->where('User.is_banned', false);
        }
         * if ($options->xc_user_activity_readers_sort_by_alphabetical)
        {
        $finder->order('User.username', 'ASC');
        }
         */

        return $finder;
    }
}